// @ myth - common - gnu.h
//
// Myth is a multiuser screen oriented adventure game.
// Copyright (C) 1989 Per Abrahamsen
// 
// This file is part of Myth.
// 
// Myth is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 1, or (at your option) any later
// version.
// 
// Myth is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Myth; see the file COPYING.  If not, write to the Free
// Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
// My email address is: amanda@iesd.auc.dk

// @@ begin

#ifndef GNU_HEADER
#define GNU_HEADER

#pragma once

// @@ Keywords

#define catch BUG_catch

#define CONST_MEMBER const

// Use my inline abs, not the one defined in libc!
#define abs	myth_abs

// @@ include

overload tputs;

#include <file.h>

extern "C"
{
#include <netdb.h>
#include <netinet/in.h>
#include <sys/time.h>
    typedef struct sockaddr_in sockaddr_in;
    typedef struct hostent hostent;
    typedef struct timeval timeval;
    
    extern int tputs();
    extern int shutdown(int, int);
}

// @@ typedef

typedef void (*SIG_PF)(...);
typedef int (*TPUTS_FUN)();

// @@ end

#endif GNU_HEADER

// @@ emacs
//
// Local Variables:
// mode: c++
// outline-regexp: "// @+ "
// eval: (outline-minor-mode 1)
// End:
